Mailinglist Archive: opensuse-commit (1059 mails)

< Previous Next >
commit orbit
  • From: root@xxxxxxxxxxxxxxx (h_root)
  • Date: Mon, 07 Jan 2008 02:53:10 +0100
  • Message-id: <20080107015310.AF92C6781B8@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package orbit
checked in at Mon Jan 7 02:53:10 CET 2008.

--------
--- GNOME/orbit/orbit.changes 2007-01-23 01:49:41.000000000 +0100
+++ /mounts/work_src_done/STABLE/orbit/orbit.changes 2008-01-04
08:55:02.000000000 +0100
@@ -1,0 +2,6 @@
+Fri Jan 4 08:53:58 CET 2008 - crrodriguez@xxxxxxx
+
+- orbit-devel should require main package
+- remove libtool archives with empty dependency_libs
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ orbit.spec ++++++
--- /var/tmp/diff_new_pack.JF7156/_old 2008-01-07 02:52:59.000000000 +0100
+++ /var/tmp/diff_new_pack.JF7156/_new 2008-01-07 02:52:59.000000000 +0100
@@ -1,7 +1,7 @@
#
# spec file for package orbit (Version 0.5.17)
#
-# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
@@ -12,20 +12,20 @@

Name: orbit
BuildRequires: glib-devel indent popt-devel
-License: GNU General Public License (GPL)
+License: GPL v2 or later
Group: System/Libraries
Provides: ORBit
-Autoreqprov: on
+AutoReqProv: on
Summary: A High-Performance CORBA ORB
Version: 0.5.17
-Release: 377
+Release: 427
Source:
ftp://ftp.gnome.org/pub/GNOME/sources/ORBit/ORBit-%{version}.tar.bz2
Patch: ORBit-%{version}.dif
Patch1: ORBit-m4_quote_fix.dif
Patch2: ORBit-%{version}-strictalias.dif
Patch3: ORBit-mkinstalldirs.dif
BuildRoot: %{_tmppath}/%{name}-%{version}-build
-URL: http://www.labs.redhat.com/orbit/
+Url: http://www.labs.redhat.com/orbit/

%description
ORBit is a high-performance CORBA ORB used by the GNOME Project.
@@ -52,14 +52,14 @@
Group: Development/Libraries/C and C++
Obsoletes: orbitdev
Provides: ORBit-devel
-Autoreqprov: on
+AutoReqProv: on
Requires: indent
-Requires: glib-devel
+Requires: %{name} = %{version} glib-devel
PreReq: %install_info_prereq

%description devel
This package includes the header files, libraries, and utilities
-necessary to write programs that use CORBA technology.
+necessary to write programs that use the ORBit CORBA technology.



@@ -88,6 +88,10 @@
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/popt.mo
rm $RPM_BUILD_ROOT%{_infodir}/dir
+#pointless libtool .la file
/var/tmp/orbit-0.5.17-build/usr/lib64/libORBitCosNaming.la
+#pointless libtool .la file /var/tmp/orbit-0.5.17-build/usr/lib64/libIIOP.la
+#pointless libtool .la file
/var/tmp/orbit-0.5.17-build/usr/lib64/libORBitutil.la
+rm -f %{buildroot}%{_libdir}/{libORBitCosNaming.la,libIIOP.la,libORBitutil.la}

%clean
rm -rf $RPM_BUILD_ROOT
@@ -131,7 +135,10 @@
%dir %{_datadir}/idl
%doc %{_infodir}/libIDL*

-%changelog -n orbit
+%changelog
+* Fri Jan 04 2008 - crrodriguez@xxxxxxx
+- orbit-devel should require main package
+- remove libtool archives with empty dependency_libs
* Tue Jan 23 2007 - ro@xxxxxxx
- drop requires for gnome-filesystem
* Tue Jan 16 2007 - sbrabec@xxxxxxx


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages